/*
 * Copyright 2004, U.S. Robotics Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF
 * ANY KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S.
 * Robotics SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id: wan_detection.h,v 1.1 2007/02/14 17:23:17 dtutuianu Exp $
 */
#ifndef _WAN_DETECTION_H
#define _WAN_DETECTION_H

/* Run PPPoE client */
void run_pppoe(void);
/* Check PPPoE login */
int check_pppoelogin(webs_t wp, char *usr, char *pwd);
/* Auto detect DHCP or PPPoE connections regardless the router's configuration*/
int wan_f_detection(int eid, webs_t wp, int argc, char_t **argv);
/* if the router is configured then return the saved configuration otherwise
 Auto detect DHCP or PPPoE connections */
int wan_detection(int eid, webs_t wp, int argc, char_t **argv);

#endif /* WAN_DETECTION_H */
