<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup</title>
	<link href="usr_layout.css" type="text/css" rel="stylesheet" /><script src="usr_layout.js" type="text/javascript"></script>
	<link href="usr_device.css" type="text/css" rel="stylesheet" /><script src="usr_device.js" type="text/javascript"></script><script src="usr_5454.js" type="text/javascript"></script><script src="usr_resources.js" type="text/javascript"></script>
<script type="text/javascript">
<!--
function initializePage()
{
	setVisibility('SES', true);
	setVisibility('noSES', false);
	setVisibility('idSESyes', true);
	setVisibility('idSESno', false);

}

function isUS()
{
   /*
      Change to return false if non-US.
   */
   var ix = "<% nvram_get("wl0_country_code"); %>";
     
	if(ix != "US") 
		return false;
	else 
	      return true;
}
var bSecure = true;

var sites = new Array(<% wl_scan(); %>);

var strSiteSelected = "";

function validatePage()
{
	/*
		Translate repeater values to what the backend needs.
	*/
	
	var chkInList = document.getElementById("chkInList"); 
	var security = document.getElementById("chkSecure");
	
	if (chkInList == null) {
		document.idForm.wl_wds0.value = document.idForm.txtMACaddressAP.value;
		if (!validateMAC(document.idForm.txtMACaddressAP.value))
			return false;
	}
	else if (chkInList.checked)
		document.idForm.wl_wds0.value = getSelectedSite();
	else {	
		document.idForm.wl_wds0.value = document.idForm.txtMACaddressAP.value;
		if (!validateMAC(document.idForm.txtMACaddressAP.value))
			return false;
	}
	
	if (security == null)
		;
	else if (security.checked)
	{
		var ixSecurity = document.idForm.cbSecurity.selectedIndex;
		if (isWPAselected(ixSecurity))
		{
			document.idForm.cbAuthEncrypt.value = "wpa";
			if (ixSecurity == 0)
				document.idForm.cbEncryption.value = "aes";
			else if (ixSecurity == 1)
				document.idForm.cbEncryption.value = "tkip";
		}
		else if (isWEPselected(ixSecurity))
		{
			if (ixSecurity == 2)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 3)
				document.idForm.cbAuthEncrypt.value = "shared";
		}
	}
	
	return true;
}

function sitesurvey()
{
	if (!document.idForm1.chkSES.checked)
	{
		initializeSurveyPage1(strSiteSelected, '', 1, bSecure);
		onSecurityChange(false, 2);
	}
	return;
}
//-->
</script>
</head>

<body onload="initializePage(); buildSiteSurveyTable(sites, 1);">

<script type="text/javascript">
	writeHeaderSetup(2, 3);
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Extend Network</h1>
	<div id="SES">
	Secure Easy Setup process will automatically connect your range extender to your access
	point or wireless router.
	</div>
	<div id="noSES">
	<p>You can specify the wireless router or access point whose range you want
	to extend by selecting it in the list of detected networks or by entering
	its information manually.
	Only devices that support WDS are supported by the <i>MAX</i>g Range Extender.
	The list indicates the devices that are known to support WDS;
	a question mark (?) indicates that it&rsquo;s uncertain whether
	the device supports WDS.
	</p>

	<p>If your wireless network isn&rsquo;t in the list of detected wireless
	networks, it may be because the access point isn&rsquo;t broadcasting
	its network name.
	Clear the <b>My wireless network is broadcasting its network name</b>
	check box and enter the network name, MAC address, and channel.
	</p>

   <p>Please see your access point&rsquo;s documentation for how to determine
   its wireless MAC address.
   </p>

	<p>The network name is sometimes called the SSID.</p>

	<p>If your access point wasn&rsquo;t detected because it was turned off,
	you can turn it on and press the <b>Scan</b> button to try and detect it again.
   </p>
   </div>

</div>

<form name="idForm1" action="apply.cgi" method="post">
<input type="hidden" name="page" value="setup_repeater.asp">
<p>
	<input type="checkbox" name="chkSES" id="chkSES" checked onclick="toggleVisibility('SES'); toggleVisibility('noSES'); toggleVisibility('idSESyes'); toggleVisibility('idSESno'); sitesurvey();"> <label for="chkSES">My wireless adapter supports Secure Easy Setup</label>
</p>


<div id="idSESyes">
<h2>Secure Easy Setup</h2>

<p>If you have an access point or wireless router that supports Secure Easy Setup (SES), you can
secure your wireless network simply by pressing two buttons.
First, press the <b>SES</b> button on the access point or wireless router.
(You may need to consult the documentation for your access point or wireless router.)
Then, press the <b>SES Client</b> button below.
</p>

<p>Alternatively, you can configure your router and wireless adapter manually
by clearing the check box above.</p>

<p><input type="submit" name="action" value="SES Client" class="clsBtnFeature"></p>

</form>
</div>

<form name="idForm" action="setup_login.asp" method="post">
<input type="hidden" name="page" value="setup_repeater.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_mode" value="ap">
<input type="hidden" name="cbEncryption" value="tkip+aes">
<input type="hidden" name="wl_key" value="1">
<input type="hidden" name="wl_wds" value="1">
<input type="hidden" name="wl_wds0" value="">

<div id="idSESno">

<h2>Extend Network</h2>

<div id="idNoAPs" class="clsNotice">
	The USRobotics Wireless <i>Ndx</i> Access Point was unable to detect
	any wireless routers or access points.
	Please ensure that your wireless router or access point is connected
	properly and turned on and press the <b>Scan</b> button to try again.
	If your wireless network isn&rsquo;t broadcasting its network name
	clear the <b>My wireless network is broadcasting its network name</b>
	check box and enter the network name, MAC address, and channel.
</div>

<p id="idFoundAPs">Please select a wireless network (an access point or
wireless router that supports WDS) from the list of detected networks
or enter its information manually.</p>

<p><input type="checkbox" name="chkInList" id="chkInList" checked onclick="arrangeSiteSurvey(bSecure);"> <label for="chkInList">My wireless network is broadcasting its network name</label></p>

<p id="idSiteSurvey">Select a wireless network from the list of detected networks.</p>

<div id="idBroadcast">
	<div id="idSurvey">
		<!-- Filled by script -->
	</div>
	<p><input type="button" name="action" value="Scan" class="clsSmall" onclick="document.location.href='setup_repeater.asp';"></p>
</div>

<p id="idMan">Enter the network name, MAC address, and channel of the wireless network.</p>
<div id="idNotBroadcast">
	<table>
	<tr>
			<td><label for="wl_ssid">Network name:</label></td>
			<td><input type="text" size="35" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid)) return false; bDirty = true;"></td>
		</tr>
		<tr>
			<td><label for="txtMACaddressAP">AP&rsquo;s MAC address:</label></td>
			<td><input type="text" size="19" maxlength="17" name="txtMACaddressAP" id="txtMACaddressAP" class="clsTextfield" value="<% nvram_list("wl_wds", 0); %>" onchange="validateMAC(document.idForm.txtMACaddressAP.value); normalizeMAC(document.idForm.txtMACaddressAP.value); bDirty = true;"><br/>
			 <span class="clsNote">(This is the wireless MAC address&mdash;sometimes called WLAN)</span></td>
		</tr>
		<tr>
			<td><label>Channel:</label></td>
			<td><select id="cbChannel" name="wl_channel" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_channel", "1", "selected"); %>>1</option>
				<option value="2" <% nvram_match("wl_channel", "2", "selected"); %>>2</option>
				<option value="3" <% nvram_match("wl_channel", "3", "selected"); %>>3</option>
				<option value="4" <% nvram_match("wl_channel", "4", "selected"); %>>4</option>
				<option value="5" <% nvram_match("wl_channel", "5", "selected"); %>>5</option>
				<option value="6" <% nvram_match("wl_channel", "6", "selected"); %>>6</option>
				<option value="7" <% nvram_match("wl_channel", "7", "selected"); %>>7</option>
				<option value="8" <% nvram_match("wl_channel", "8", "selected"); %>>8</option>
				<option value="9" <% nvram_match("wl_channel", "9", "selected"); %>>9</option>
				<option value="10" <% nvram_match("wl_channel", "10", "selected"); %>>10</option>
				<option value="11" <% nvram_match("wl_channel", "11", "selected"); %>>11</option>
			    </select>
			<script type="text/javascript">
   			/*  If this isn't US-based, allow channels 12 and 13.  */
   			if (!isUS())
   			{
      			document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("12", "12");
      			document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("13", "13");
      			document.idForm.cbChannel.selectedIndex = "<% nvram_get("wl_channel"); %>";
   			}
			</script>
			</td>
		</tr>
	</table>
</div>

<h2>Security</h2>

<div id="idInsecure">
	<p>The selected wireless network is insecure so you don&rsquo;t need to
	enter any security information.</p>
</div>
<div id="idSecure">
	<p>The selected wireless network is secure so you need to enter its
	security information in order to connect to it.</p>
</div>
<div id="idManual">
	<p>The range extender cannot detect whether this wireless network is secure, so you
	must enter any security information yourself in order to connect to it.</p>

	<p><input type="checkbox" name="chkSecure" id="chkSecure" checked onclick="bDirty = true; setVisibilityByCheckbox('chkSecure', 'idSecurity');"> <label for="chkSecure">I am connecting to a secure wireless network</label></p>
</div>
<div id="idSecurity">
<table border="0">
	<tr>
		<td id="lblMethod" valign="top"><label>Method:</label></td>
		<td>
			<select id="cbAuthEncrypt" name="cbAuthEncrypt" onchange="onSecurityChange(true, 2); setVisibility('idEncryptNo', document.idForm.cbAuthEncrypt.value == 'none'); setVisibility('idEncryptWPA', document.idForm.cbAuthEncrypt.value == 'wpa12'); bDirty = true;">
				<option value="wpa12" selected>WPA2 and WPA (PSK) (recommended)</option>
				<option value="open">WEP open</option>
				<option value="shared">WEP shared</option>
				<option value="none">None</option>
			</select>
		</td>
	</tr>
	<!-- WPA -->
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass&nbsp;phrase:</label></td>
			<!-- either 32 hex digits or ASCII that WPA hashes to a 256-bit key -->
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk)) return false;"><br/>
			<span class="clsNote">(The pass phrase must be between eight and sixty-three characters long.)</span>
			</td>
	</tr>
	
	<!-- WEP -->
	<tr id="idWEPkeytype">
		<td><label>Key type:</label></td>
		<td>
			<select id="cbWEPkeytype" onchange="setMaxLength(true, 2); bDirty = true;">
				<option value="type128ASCII" selected>128-bit ASCII</option>
				<option value="type128hex">128-bit hex</option>
				<option value="type64ASCII">64-bit ASCII</option>
				<option value="type64hex">64-bit hex</option>
			</select>
		</td>
	</tr>

	<tr id="idKey1" valign="top">
		<td><label for="wl_key1">Key:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" onchange="if (!isPrintable('Key 1', document.idForm.wl_key1)) return false; validateKeyForType(document.idForm.wl_key1.value, 'cbWEPkeytype'); bDirty = true;"><br/>
			<span class="clsNote">(The key must be <span id="idKeyNumChars"></span>&nbsp;characters long.)</span>
		</td>
	</tr>
</table>
</div>

<p>When you&rsquo;re finished and ready to go to the next step, press <strong>Next</strong>.</p>
<p><input type="submit" name="action" value="Next -->" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid)) return false; if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk)) return false;
if (!isPrintable('Key', document.idForm.wl_key1)) return false; checksettings1(); if (!validatePage()) return false;"></p>

</form>
</div> <!-- idSESno -->

<script type="text/javascript">
	writeFooter();
</script>

</body>
</html>
