<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Wireless</title>
	<link href="usr_layout.css" type="text/css" rel="stylesheet" /><script src="usr_layout.js" type="text/javascript"></script>
	<link href="usr_menus_tabbed.css" type="text/css" rel="stylesheet" /><script src="usr_menus_tabbed.js" type="text/javascript"></script><script src="usr_menus_build.js" type="text/javascript"></script>
	<link href="usr_device.css" type="text/css" rel="stylesheet" /><script src="usr_device.js" type="text/javascript"></script><script src="usr_5454.js" type="text/javascript"></script><script src="usr_resources.js" type="text/javascript"></script>
	<script type="text/javascript">
<!--
/* we can not use Afterburner if WMM enabled */
function validateAfterburner()
{	
	var accel = document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.selectedIndex].value;
	var radios = document.idForm.wl_mode;
		
	if (radios[0].checked && document.idForm.chkWME.checked) {
		if (document.idForm.cbAcceleration.selectedIndex == 2) {	
			if (confirm("Please note that WMM setting is incompatible with MAXg acceleration. Click OK to select \"54g+ (XPress)\" acceleration and enable WMM."))
				document.idForm.cbAcceleration.selectedIndex = 1;
			else {
				document.idForm.chkWME.checked = false;
				setVisibility('idWME', false);
			}
		}
	}
	return true;
}

function validateAcceleration()
{	
	var accel = "<% nvram_get("cbAcceleration"); %>";
	var radios = document.idForm.wl_mode;
	
	if (radios[0].checked && (document.idForm.cbAcceleration.selectedIndex == 2)) {
		if (document.idForm.chkWME.checked) {
			if (confirm("Please note that MAXg acceleration is incompatible with WMM. Click OK to disable WMM and enable MAXg acceleration.")) {
				document.idForm.chkWME.checked = false;
				setVisibility('idWME', false);
			}
			else {
				if (accel == "frameburst")
					document.idForm.cbAcceleration.selectedIndex = 1;
				else if (accel == "none")
					document.idForm.cbAcceleration.selectedIndex = 0;
				else
					document.idForm.cbAcceleration.selectedIndex = 2;
			}
		}
	}
	return true;
}

function validateNmode()
{	
	var radios = document.idForm.wl_mode;
	var nbw = <% nvram_get("wl0_nbw_cap"); %>;
	var sideband = "<% nvram_get("wl0_nctrlsb"); %>";
	
	if (nbw == 1)
		document.idForm.wl_nbw_cap.selectedIndex = 1;
	if (sideband == "upper")
		document.idForm.wl_nctrlsb.selectedIndex = 1;
		
	return true;
}

function reauth()
{
	var seconds = <% nvram_get("wl0_net_reauth"); %>;
	var minutes = seconds/60;
	
	document.idForm.wl_net_reauth.value = minutes;
}

function getKeyType()
{	
	var cbAuthEncrypt = "<% nvram_get("cbAuthEncrypt"); %>";
	var key1 = "<% nvram_get("wl0_key1"); %>";
	var key2 = "<% nvram_get("wl0_key2"); %>";
	var key3 = "<% nvram_get("wl0_key3"); %>";
	var key4 = "<% nvram_get("wl0_key4"); %>";	
	var number = <% nvram_get("wl0_key"); %>;
	var key;
	
	if ((cbAuthEncrypt == "open") || (cbAuthEncrypt == "shared"))
	{
		if (number == 1)
			key = key1;
		else if (number == 2)
			key = key2;
		else if (number == 3)
			key = key3;
		else if (number == 4)
			key = key4;
		
		var size = getKeySize(key);
		if (isKeyASCII(key)) {
			if (size == 128)
				document.idForm.cbWEPkeytype.selectedIndex = 0;
			if (size == 64)
				document.idForm.cbWEPkeytype.selectedIndex = 2;
		}
		else {
			if (size == 128)
				document.idForm.cbWEPkeytype.selectedIndex = 1;
			if (size == 64)
				document.idForm.cbWEPkeytype.selectedIndex = 3;
		}
	}		
}

function selectPower()
{	var pwr = <% nvram_get("wl0_power"); %>;
	if ((pwr == 79) || (pwr == 76))
		document.idForm.wl_power.selectedIndex = 0;
	if ((pwr == 64) || (pwr == 40))
		document.idForm.wl_power.selectedIndex = 1;
	if ((pwr == 52) || (pwr == 20))
		document.idForm.wl_power.selectedIndex = 2;
}

function wl_channel_list_change()
{
	var country = "<% nvram_get("wl0_country_code"); %>";
	var radios = document.idForm.wl_mode;
	var channels = new Array(0);
	var cur = 0;
	var sel = 0;
	var nbw = document.idForm.wl_nbw_cap[document.idForm.wl_nbw_cap.selectedIndex].value;
	var nsb = document.idForm.wl_nctrlsb[document.idForm.wl_nctrlsb.selectedIndex].value;
	
	/* Save current channel */
	if (radios[0].checked)
	{
		for (i = 0; i < document.idForm.wl_channel_ap.length; i++) {
			if (document.idForm.wl_channel_ap[i].selected) {
				cur = document.idForm.wl_channel_ap[i].value;
				break;
			}
		}
	}
	else {
		for (i = 0; i < document.idForm.wl_channel_other.length; i++) {
			if (document.idForm.wl_channel_other[i].selected) {
				cur = document.idForm.wl_channel_other[i].value;
				break;
			}
		}
	}
	
	setVisibility('idChannelAP', radios[0].checked);
	
	if (nbw == "1") {
		if (nsb == "upper") {
			if (country == "IT") {
				if (radios[0].checked)
					channels = new Array(0, 5, 6, 7, 8, 9, 10, 11, 12, 13);
				else
					channels = new Array(5, 6, 7, 8, 9, 10, 11, 12, 13);
			}
			else {
				if (radios[0].checked)
					channels = new Array(0, 5, 6, 7, 8, 9, 10, 11);
				else
					channels = new Array(5, 6, 7, 8, 9, 10, 11);
			}
		} else {
			if (country == "IT") {
				if (radios[0].checked)
					channels = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9);
				else
					channels = new Array(1, 2, 3, 4, 5, 6, 7, 8, 9);
			}
			else {
				if (radios[0].checked)
					channels = new Array(0, 1, 2, 3, 4, 5, 6, 7);
				else
					channels = new Array(1, 2, 3, 4, 5, 6, 7);
			}
		}
	} else if (nbw == "0") {
		if (country == "IT") {
			if (radios[0].checked)
				channels = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13);
			else
				channels = new Array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13);
		}
		else {
			if (radios[0].checked)
				channels = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11);
			else
				channels = new Array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11);
		}
	}
	
	/* Reconstruct channel array from new channels */
	if (radios[0].checked)
		document.idForm.wl_channel_ap.length = channels.length;
	else
		document.idForm.wl_channel_other.length = channels.length;
	
	for (var i in channels) {
		if (channels[i] == 0)
			document.idForm.wl_channel_ap[i] = new Option("Automatic", channels[i]);
		else {
			if (radios[0].checked)
				document.idForm.wl_channel_ap[i] = new Option(channels[i], channels[i]);
			else
				document.idForm.wl_channel_other[i] = new Option(channels[i], channels[i]);
		}
		if (radios[0].checked) {
			document.idForm.wl_channel_ap[i].value = channels[i];
			if (channels[i] == cur) {
				document.idForm.wl_channel_ap[i].selected = true;
				sel = 1;
			}
		}
		else {
			document.idForm.wl_channel_other[i].value = channels[i];
			if (channels[i] == cur) {
				document.idForm.wl_channel_other[i].selected = true;
				sel = 1;
			}
		}
	}

	if (sel == 0) {
		if (radios[0].checked)
			document.idForm.wl_channel_ap[0].selected = true;
		else
			document.idForm.wl_channel_other[0].selected = true;
	}
}

function wl_ewc_options()
{
	var nbw;
	var channel;
        var nmode;
	var radios = document.idForm.wl_mode;
	
	nbw = document.idForm.wl_nbw_cap[document.idForm.wl_nbw_cap.selectedIndex].value;
	if (radios[0].checked)
		channel = document.idForm.wl_channel_ap[document.idForm.wl_channel_ap.selectedIndex].value;
	else
		channel = document.idForm.wl_channel_other[document.idForm.wl_channel_other.selectedIndex].value;
	nmode = document.idForm.wl_nmode[document.idForm.wl_nmode.selectedIndex].value;
	
	if (nbw == "1") {
		<% wl_nphyrates("40"); %>;
	}
	else {
		<% wl_nphyrates("20"); %>;
	}
	
	/* If nmode is disabled, hide bandwidth selection */
        if (nmode == "0") {
		document.idForm.wl_nbw_cap.selectedIndex = 0;
		setEnabled('idnbw', false);
		setEnabled('idnctrlsb', false);
		setEnabled('idnPhyRate', false);
		document.idForm.wl_nbw_cap.disabled = 1;
		document.idForm.wl_nctrlsb.disabled = 1;
		document.idForm.wl_nmcsidx.disabled = 1;
		setVisibility('idGmode', true);
		manageSupportedRates();
	}
	else {	
		setEnabled('idnbw', true);
		setEnabled('idnctrlsb', true);
		setEnabled('idnPhyRate', true);
		document.idForm.wl_nbw_cap.disabled = 0;
		document.idForm.wl_nctrlsb.disabled = 0;
		document.idForm.wl_nmcsidx.disabled = 0;
		setVisibility('idGmode', false);
		
		/* Control sb is allowed only for 40MHz BW Channels */	
		if (nbw == "1") {
			setEnabled('idnctrlsb', true);
			document.idForm.wl_nctrlsb.disabled = 0;
		} else if (nbw == "0") {
			document.idForm.wl_nctrlsb.selectedIndex = 0;
			setEnabled('idnctrlsb', false);
			document.idForm.wl_nctrlsb.disabled = 1;
		}
		
		if (channel == "0") {
			setEnabled('idnbw', false);
			setEnabled('idnctrlsb', false);
			document.idForm.wl_nbw_cap.disabled = 1;
			document.idForm.wl_nctrlsb.disabled = 1;
			<% wl_nphyrates("0"); %>
			setEnabled('idnPhyRate', false);
			document.idForm.wl_nmcsidx.disabled = 1;
		}
	}
	
	if (radios[3].checked) {
		setVisibility('idnbw', false);
		setVisibility('idnctrlsb', false);
		setVisibility('idnPhyRate', false);
	}
	else {
		setVisibility('idnbw', true);
		setVisibility('idnctrlsb', true);
		setVisibility('idnPhyRate', true);
	}
}


function wl_amsdu_options()
{
	var amsdu = "<% wl_inlist("cap", "amsdu"); %>";
/*
*/
}

function wl_mcs_onchange()
{
 	var mcs_val;
	var nmode;
	
	mcs_val =  document.idForm.wl_nmcsidx[document.idForm.wl_nmcsidx.selectedIndex].value;
	nmode = document.idForm.wl_nmode[document.idForm.wl_nmode.selectedIndex].value;

	/* If using 'legacy rate' then enable */
	if (mcs_val == "-2" || nmode == "0")
		setVisibility('idRate', true);
	else
		setVisibility('idRate', false);
}

function wl_recalc()
{
 	wl_channel_list_change();
	wl_ewc_options();
	wl_amsdu_options();
	wl_mcs_onchange(); /* This has to be after wl_ewc_options */
}

function tableSelection()
{
	var radios = document.idForm.wl_mode;
	
	if (radios[0].checked)
		tableAddRowWDS();
	else if (radios[1].checked || radios[2].checked)
		tableAddRowWDS_B(0);
	return true;
}

var ix = "<% nvram_get("wl0_country_code"); %>";

var sites = new Array(<% wl_scan(); %>);

var cbAuthEncrypt = "<% nvram_get("cbAuthEncrypt"); %>";
var bSecure = true;
if (cbAuthEncrypt == "none")
		bSecure = false;
var bValue = true;	
		
function initializePage(bValue)
{
	var strSiteSelected = "<% nvram_get("wl0_ssid"); %>";
	var strSiteSelected1 = "<% nvram_list("wl0_wds", 0); %>";
	var wdslist = "<% nvram_list("wl0_wds", 1); %>";
	var radios = document.idForm.wl_mode;
	var cbEncryption = "<% nvram_get("cbEncryption"); %>";
	var wl_mode = "<% nvram_get("scanvar"); %>";
	var channel;
	if ((channel = <% nvram_get("wl0_channel"); %>) == "")
			channel = 1;
	var accel = "<% nvram_get("cbAcceleration"); %>";
		
	if (bValue) 
	{	
		if (wl_mode == "ap")
			radios[0].checked = true;
		else if (wl_mode == "repeater")
			radios[1].checked = true;
		else if (wl_mode == "wds") 
			radios[2].checked = true;
		else if (wl_mode == "wet")
			radios[3].checked = true;
	}
		
	if (!radios[0].checked)
		buildSiteSurveyTable(sites, ix);
	else
		setVisibility("idSecurity", true);
			
	/* change encryption method values */
	/* delete all options */
	while (document.idForm.cbSecurity.options.length > 0)
		document.idForm.cbSecurity.options[0] = null;
	if (radios[0].checked || radios[1].checked) 
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA2 and WPA (PSK) (recommended)", "wpa12");
	if (!radios[2].checked)	
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA2 (PSK)", "wpa2");
	document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA (PSK)", "wpa");
	document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP open", "open");
	document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP shared", "shared");
	if (radios[0].checked) {
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA2 and WPA with 802.1x (RADIUS)", "radius-wpa12");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA2 with 802.1x (RADIUS)", "radius-wpa2");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA with 802.1x (RADIUS)", "radius-wpa");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("None", "none");
	}
	
	/* select saved authentication */
	if (cbAuthEncrypt == "wpa12")
		document.idForm.cbSecurity.options.selectedIndex = 0;
	else if (cbAuthEncrypt == "wpa2") {
		if (radios[0].checked || radios[1].checked)
			document.idForm.cbSecurity.options.selectedIndex = 1;
		else
			document.idForm.cbSecurity.options.selectedIndex = 0;
	}
	else if (cbAuthEncrypt == "wpa") {
		if (radios[0].checked || radios[1].checked)	
			document.idForm.cbSecurity.options.selectedIndex = 2;
		else if (radios[3].checked)
			document.idForm.cbSecurity.options.selectedIndex = 1;
		else
			document.idForm.cbSecurity.options.selectedIndex = 0;
	}
	else if (cbAuthEncrypt == "open") {
		if (radios[0].checked || radios[1].checked)	
			document.idForm.cbSecurity.options.selectedIndex = 3;
		else if (radios[3].checked)
			document.idForm.cbSecurity.options.selectedIndex = 2;
		else
			document.idForm.cbSecurity.options.selectedIndex = 1;
	}
	else if (cbAuthEncrypt == "shared") {
		if (radios[0].checked || radios[1].checked)	
			document.idForm.cbSecurity.options.selectedIndex = 4;
		else if (radios[3].checked)
			document.idForm.cbSecurity.options.selectedIndex = 3;
		else
			document.idForm.cbSecurity.options.selectedIndex = 2;
	}
	else if (cbAuthEncrypt == "radius-wpa12") {
		if (radios[0].checked)	
			document.idForm.cbSecurity.options.selectedIndex = 5;
		else
			document.idForm.cbSecurity.options.selectedIndex = 0;
	}
	else if (cbAuthEncrypt == "radius-wpa2") {
		if (radios[0].checked)	
			document.idForm.cbSecurity.options.selectedIndex = 6;
		else
			document.idForm.cbSecurity.options.selectedIndex = 0;
	}
	else if (cbAuthEncrypt == "radius-wpa") {
		if (radios[0].checked)	
			document.idForm.cbSecurity.options.selectedIndex = 7;
		else
			document.idForm.cbSecurity.options.selectedIndex = 0;
	}
	else if (cbAuthEncrypt == "none") {
		if (radios[0].checked)	
			document.idForm.cbSecurity.options.selectedIndex = 8;
		else
			document.idForm.cbSecurity.options.selectedIndex = 0;
	}
			
	/* select encryption */	
	while (document.idForm.cbEncryp.options.length > 0)
		document.idForm.cbEncryp.options[0] = null;
	if (radios[0].checked || radios[1].checked) 
		document.idForm.cbEncryp.options[document.idForm.cbEncryp.options.length] = new Option("TKIP and AES (recommended)", "tkip+aes");
	if (radios[2].checked) {
		document.idForm.cbEncryp.options[document.idForm.cbEncryp.options.length] = new Option("TKIP", "tkip");
		document.idForm.cbEncryp.options[document.idForm.cbEncryp.options.length] = new Option("AES", "aes");
	} else {
		document.idForm.cbEncryp.options[document.idForm.cbEncryp.options.length] = new Option("AES", "aes");
		document.idForm.cbEncryp.options[document.idForm.cbEncryp.options.length] = new Option("TKIP", "tkip");
	}
	
	
	if (cbEncryption == "tkip+aes")
		document.idForm.cbEncryp.options.selectedIndex = 0;
	else if (cbEncryption == "aes") {
		if (radios[3].checked)	
			document.idForm.cbEncryp.options.selectedIndex = 0;
		else
			document.idForm.cbEncryp.options.selectedIndex = 1;
	}
	else if (cbEncryption == "tkip") {
		if (radios[0].checked || radios[1].checked)	
			document.idForm.cbEncryp.options.selectedIndex = 2;
		else if (radios[3].checked)
			document.idForm.cbEncryp.options.selectedIndex = 1;
		else
			document.idForm.cbEncryp.options.selectedIndex = 0;
	}
	
	setVisibility("idNN", radios[0].checked);
	setVisibility("idBrdcst", (radios[0].checked || radios[1].checked));
	setVisibility("idSecAP", radios[0].checked);
	setVisibility("idSecOther", radios[1].checked || radios[2].checked || radios[3].checked);
	setVisibility("idSecWDS", radios[0].checked || radios[1].checked);
	setVisibility("WDSrestr", radios[0].checked || radios[1].checked || radios[2].checked);
	setVisibility("idAP", radios[0].checked);
	setVisibility("idBroadcastIsolation", (radios[0].checked || radios[1].checked));
	setVisibility("idSiteSurvey", radios[1].checked || radios[2].checked || radios[3].checked);
	setVisibility("idBridge", radios[0].checked || radios[1].checked || radios[2].checked);
	setVisibility('idWMM', radios[0].checked);
	
	//delete acceleration options
	while (document.idForm.cbAcceleration.options.length > 0)
		document.idForm.cbAcceleration.options[0] = null;	
	
	if (radios[0].checked || radios[1].checked) {
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("None", "none");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("54g+ (XPress)", "frameburst");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("MAXg (125 Mbps)", "afterburner");
	} else {
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("None", "none");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("54g+ (XPress)", "frameburst");
	}
	
	if (accel == "frameburst")
		document.idForm.cbAcceleration.options.selectedIndex = 1;
	else if (accel == "afterburner") {
		if (radios[0].checked || radios[1].checked)
			document.idForm.cbAcceleration.options.selectedIndex = 2;
		else
			document.idForm.cbAcceleration.options.selectedIndex = 1;
	}
	else
		document.idForm.cbAcceleration.options.selectedIndex = 0;
			
	if (radios[0].checked) {
		setVisibility("idInsecure", false);
		setVisibility("idSecure", false);
		setVisibility("idManual", false);
		document.idForm.chkWDSrestrict.disabled = 0;
		setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked);
		setVisibility('idWME', document.idForm.chkWME.checked);
		onSecurityChange(false, 0);
	}
	else if (radios[1].checked || radios[2].checked) {
		initializeSurveyPage1(strSiteSelected1, strSiteSelected, channel, bSecure);
		document.idForm.chkWDSrestrict.disabled = 1;
		setVisibility('idWDSrestrict', true);
	}
	else {
		initializeSurveyPage(strSiteSelected, channel, bSecure);
	}
	
	wl_recalc();		
	getKeyType();	
	reauth();
	selectPower();
	changeAcceleration();
}

function validatePage()
{
	var security = document.getElementById("chkSecure");
	var radios = document.idForm.wl_mode;
	var wdsrestrict = document.getElementById("chkWDSrestrict");
	var other = document.getElementById("other");
	var accel = document.idForm.cbAcceleration.selectedIndex;
	var stp = "<% nvram_get("lan_stp"); %>";
	var filter = "<% nvram_get("wl0_macmode"); %>";
	var nmode_protection = document.idForm.nmode_protection;
	
	if (document.idForm.chkWDSrestrict != null) {
		 if (radios[0].checked && (!document.idForm.chkWDSrestrict.checked))
			document.idForm.wl_lazywds.value="1";
	}
	if (radios[1].checked || radios[2].checked)
	{
		if (other.checked) {
			if (!validateMAC(document.idForm.txtMACaddressAP.value)) return false;
			document.idForm.txtMACaddress.value = document.idForm.txtMACaddressAP.value;
		}
		else
			document.idForm.txtMACaddress.value = getSelectedSite();
		tableAddRowWDS_B(1);
		document.idForm.ses_wds_mode.value = "4";  //repeater value will be 1 - see below
		document.idForm.chkWDSrestrict.checked = true;
		document.idForm.scanvar.value = "wds";
	}
	
	if (radios[0].checked) {
		if (document.idForm.wl_ssid_ap.value == "")
			return alert("Please enter a Network Name.");
		document.idForm.wl_ssid.value = document.idForm.wl_ssid_ap.value;
		document.idForm.wl_channel.value = document.idForm.wl_channel_ap.value;
		document.idForm.ses_wds_mode.value = "1";
		document.idForm.scanvar.value = "ap";
	}
	else {
		if (document.idForm.wl_ssid_other.value == "")
			return alert("Please enter a Network Name."); 
		document.idForm.wl_ssid.value = document.idForm.wl_ssid_other.value;
		document.idForm.wl_channel.value = document.idForm.wl_channel_other.value;
		//document.idForm.wl_key.selectedIndex = 0;
	}
		
	if (security == null)
		;
	else if (security.checked)
	{
		var ixSecurity = document.idForm.cbSecurity.selectedIndex;
		var ixEncryp = document.idForm.cbEncryp.selectedIndex;
		
		if (radios[0].checked || radios[1].checked)
		{
			if (ixSecurity == 0) 
				document.idForm.cbAuthEncrypt.value = "wpa12";
			else if (ixSecurity == 1)
				document.idForm.cbAuthEncrypt.value = "wpa2";
			else if (ixSecurity == 2)
				document.idForm.cbAuthEncrypt.value = "wpa";
			else if (ixSecurity == 3)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 4)
				document.idForm.cbAuthEncrypt.value = "shared";
			else if (ixSecurity == 5)
				document.idForm.cbAuthEncrypt.value = "radius-wpa12";
			else if (ixSecurity == 6)
				document.idForm.cbAuthEncrypt.value = "radius-wpa2";
			else if (ixSecurity == 7)
				document.idForm.cbAuthEncrypt.value = "radius-wpa";
			else
				document.idForm.cbAuthEncrypt.value = "none";
				
			if (ixEncryp == 0)
				document.idForm.cbEncryption.value = "tkip+aes";
			else if (ixEncryp == 1)
				document.idForm.cbEncryption.value = "aes";
			else
				document.idForm.cbEncryption.value = "tkip";
		}
		else if (radios[3].checked)
		{
			if (ixSecurity == 0) 
				document.idForm.cbAuthEncrypt.value = "wpa2";
			else if (ixSecurity == 1) 
				document.idForm.cbAuthEncrypt.value = "wpa";
			else if (ixSecurity == 2)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 3)
				document.idForm.cbAuthEncrypt.value = "shared";
			else
				document.idForm.cbAuthEncrypt.value = "none";
					
			if (ixEncryp == 0)
				document.idForm.cbEncryption.value = "aes";
			else 
				document.idForm.cbEncryption.value = "tkip";
		}
		else
		{
			if (ixSecurity == 0) 
				document.idForm.cbAuthEncrypt.value = "wpa";
			else if (ixSecurity == 1)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 2)
				document.idForm.cbAuthEncrypt.value = "shared";
			else
				document.idForm.cbAuthEncrypt.value = "none";
					
			if (ixEncryp == 0)
				document.idForm.cbEncryption.value = "tkip";
			else 
				document.idForm.cbEncryption.value = "aes";
		}
		
		if (!validateWepKey())
			return false;
	
		if (!validateWPAkey())
			 return false;
	}
	
	if (stp == 1) {
	 	if (radios[3].checked)
			document.idForm.lan_stp.value = "0";
		else
			document.idForm.lan_stp.value = "1";	
	}
	/* save repeater mode into nvram */
	if (radios[1].checked) {
		document.idForm.extender.value = "1";
		document.idForm.ses_wds_mode.value = "1";
		document.idForm.scanvar.value = "repeater";
	}
	else	{
		document.idForm.extender.value = "0";
		if (radios[3].checked)
			document.idForm.scanvar.value = "wet";
	}
	
	if (filter != "disabled") {
		if (radios[2].checked || radios[3].checked)
			document.idForm.wl_macmode.value = "disabled";
		else 
			document.idForm.wl_macmode.value = filter;
	}
	
	if (nmode_protection.checked)
		document.idForm.wl_nmode_protection.value = "auto";
	
	return true;
}

function onSecurity()
{
	var radios = document.idForm.wl_mode;
	
	if (radios[0].checked)
		onSecurityChange(true, 0);
	else if (radios[1].checked)
		onSecurityChange(true, 1);
	else if (radios[3].checked)
		onSecurityChange(true, 3);
	else  //wds
		onSecurityChange(true, 4);
}

function setLength()
{
	var radios = document.idForm.wl_mode;
	
	if (radios[0].checked)
		setMaxLength(true, 0);
	else if (radios[3].checked)
		setMaxLength(true, 3);
	else
		setMaxLength(true, 1);
}

function validateWepKey()
{	
	var cbAuthEncrypt = document.idForm.cbSecurity.options[document.idForm.cbSecurity.selectedIndex].value;
	var cur_key = document.idForm.wl_key.options[document.idForm.wl_key.selectedIndex].value;
	
	if ((cbAuthEncrypt != "open") && (cbAuthEncrypt != "shared"))
		return true;
		
	if (cur_key == 1) {
		if (isPrintable('Key 1', document.idForm.wl_key1)) {
			if (!validateKeyForType(document.idForm.wl_key1.value, 'cbWEPkeytype'))
				return false;
		}
		else 
			return false;
	}
	else if (cur_key == 2) {
		if (isPrintable('Key 2', document.idForm.wl_key2)) {
			if (!validateKeyForType(document.idForm.wl_key2.value, 'cbWEPkeytype'))
				return false;
		}
		else 
			return false;
	}
	else if (cur_key == 3) {
		if (isPrintable('Key 3', document.idForm.wl_key3)) {
			if (!validateKeyForType(document.idForm.wl_key3.value, 'cbWEPkeytype'))
				return false;
		}
		else 
			return false;
	}
	else if (cur_key == 4) {
		if (isPrintable('Key 4', document.idForm.wl_key4)) {
			if (!validateKeyForType(document.idForm.wl_key4.value, 'cbWEPkeytype'))
				return false;
		}
		else 
			return false;
	}
	return true;
}

function sendScan()
{
	var radios = document.idForm.wl_mode;
	
	if (radios[1].checked)
		document.idForm.extender.value = "1";
	else	
		document.idForm.extender.value = "0";
		
	return true;
}

function validateWPAkey()
{	
	var cbAuthEncrypt = document.idForm.cbSecurity.options[document.idForm.cbSecurity.selectedIndex].value;
	var key = document.idForm.wl_wpa_psk.value;
	
	if ((cbAuthEncrypt == "wpa12") || (cbAuthEncrypt == "wpa2") || (cbAuthEncrypt == "wpa"))
	{
		if (!validatePassphrase(document.idForm.wl_wpa_psk))
			 return false;
	}

	return true;
}
//-->
</script>
</head>

<body onload="tableInitializeWDS(); initializePage(true);" onbeforeunload="verifyDeparture();">

<script type="text/javascript">
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.
	</p>
	
	<div id="idNN">
	<h1>Network Name</h1>
	<p>This can be any name you want.
	USRobotics recommends that you treat your <b>network name</b>
	like a password and use a combination of more than eight alphanumeric
	characters that is not easy to guess (such as &ldquo;USR5454APOffice&rdquo;
	or &ldquo;Fish81Tree&rdquo;).
	</p>
	</div>
	
	<div id="idBrdcst">
	<h1>Broadcast</h1>
	<p>If the access point broadcasts the network name, any wireless device can
	find out what it is and connect to the access point, unless you set further
	security measures, such as encryption.
	You can disable broadcast so that someone will need to enter the network name
	for a client to connect to the access point.
	</p>
	</div>
	
	<h1>Security</h1>
	<div id="idSecAP">
	<p>WPA2 is the newest encryption method available and may not be supported by all
	client devices yet.</p>
	
	<p>WPA is a newer encryption method that uses a 256-bit key, so it&rsquo;s even more secure
	than older methods.
	Since it&rsquo;s newer, however, there are some older wireless client devices that
	don&rsquo;t support it. If you need to communicate with a device that
	doesn&rsquo;t support WPA (PSK), you will need to use WEP.
	</p>

	<p>WEP is a slightly older encryption method. You can select either a
	64-bit key or a more secure 128-bit key. (It doesn&rsquo;t matter if you
	select ASCII or hex&mdash;that only affects the number and type of
	characters in the key.) If you use WEP encryption, USRobotics
	recommends that you select &ldquo;WEP Open.&rdquo;
	</p>
	
	<p>802.1x is used primarily by businesses that require advance authentication methods.</p>
	</div>   <!-- idSecAP -->
	
	<div id="idSecOther">
	<p>The security settings of your device must match the ones specified
	for your wireless network.
	Please refer to the device (wireless router or access point)
	to determine the correct settings.
	</p>
	</div>  <!-- idSecOther -->
	
	<div id="idSecWDS">
	<p>Please note that WDS connections do not support WPA2 security, RADIUS authentication 
	 or the combined TKIP and AES encryption. If you select <b>WPA2 (PSK)</b> security the access point will use 
	 <b>WPA (PSK) for WDS connections</b> and WPA2 (PSK) for infrastructure connection (connecting to wireless clients).  
	 If you select <b>TKIP and AES</b> encryption the access point will only use <b>TKIP for WDS connections</b> and will use both TKIP
	 and AES for infrastructure connection.
	 </div>  <!-- idSecWDS -->
	
	<div id="WDSrestr">
	<h1>WDS restrictions</h1>
	<p>You can specify the wireless routers or access points you want to bridge
	by entering their information in this section.
	Only devices that support WDS are supported by the Wireless <i>Ndx</i> Access Point.
	</p>
	</div>
</div>


<form name="idForm" action="wireless.asp" method="post">
<input type="hidden" name="page" value="wireless.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_radio" value="1"> 
<input type="hidden" name="wl_closed" value="1"> 
<input type="hidden" name="wl_ap_isolate" value="0">
<input type="hidden" name="wl_lazywds" value="0">
<input type="hidden" name="wl_wme" value="off"> 
<input type="hidden" name="wl_wme_no_ack" value="off">
<input type="hidden" name="wl_wme_apsd" value="off">
<input type="hidden" name="wl_multicast" value="off">
<input type="hidden" name="wl_nmode_protection" value="off">
<input type="hidden" name="wl_vlan_prio_mode" value="off">
<input type="hidden" name="wl_ssid" value="USR5454">
<input type="hidden" name="wl_channel" value="11">
<input type="hidden" name="cbAuthEncrypt" value="none">
<input type="hidden" name="cbEncryption" value="none">
<input type="hidden" name="wl_preauth" value="disabled">
<input type="hidden" name="lan_stp" value="0">
<input type="hidden" name="extender" value="0">
<input type="hidden" name="ses_wds_mode" value="1">
<input type="hidden" name="wl_wds_timeout" value="1">
<input type="hidden" name="scanvar" value="ap">
<input type="hidden" name="wl_macmode" value="disabled">

<h2>Wireless Network Type</h2>

<p>Please select the type of wireless mode you want to use.</p>

<p>
	<input type="radio" name="wl_mode" id="optAP" value="ap" <% nvram_match("scanvar", "ap", "checked"); %> onclick="initializePage(false);" /> <label for="optAP">Access Point</label><br/>
	<input type="radio" name="wl_mode" id="optRepeater" value="ap" <% nvram_match("scanvar", "repeater", "checked"); %> onclick="initializePage(false);" /> <label for="optRepeater">Range Extender</label>	<span class="clsNote">(extends a network using WDS)</span><br/>
	<input type="radio" name="wl_mode" id="optWDS" value="wds" <% nvram_match("scanvar", "wds", "checked"); %> onclick="initializePage(false);" /> <label for="optWDS">Bridge</label> <span class="clsNote">(connects two networks using WDS)</span><br/>
	<input type="radio" name="wl_mode" id="optInfra" value="wet" <% nvram_match("scanvar", "wet", "checked"); %> onclick="initializePage(false);" /> <label for="optInfra">Infrastructure</label>	<span class="clsNote">(also known as &ldquo;client&rdquo;)</span>
</p>

<div id="idAP">
<h2>Network Name (SSID)</h2>

<p>This is the name of your wireless network. Wireless devices will need to know the
network name (also known as an SSID) of your access point in order to communicate with it.</p>

<p><label for="wl_ssid_ap">Network name:</label>
	<input type="text" size="32" maxlength="32" id="wl_ssid_ap" class="clsTextfield" name="wl_ssid_ap" value="<% nvram_get("wl0_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid_ap)) return false; bDirty = true;"></p>
</div> <!-- idAP --> 

<div id="idBroadcastIsolation">
<h2>Broadcast Network Name</h2>

<p>In order to hide your access point from new wireless devices, you can
tell the access point to stop broadcasting the access point&rsquo;s network name.</p>

<p><input type="checkbox" id="wl_closed" name="wl_closed" value="0" <% nvram_match("wl0_closed", "0", "checked"); %> onclick="bDirty = true;"> <label for="wl_closed">Broadcast network name</label></p>

<h2>Access Point Isolation</h2>

<p>Access point isolation prevents wireless clients from sharing files and printers.
This is useful in situations such as public hotspots where the clients access the access point 
for Internet access but they should not access each other.</p>
<p><input type="checkbox" id="wl_ap_isolate" name="wl_ap_isolate" value="1" <% nvram_match("wl0_ap_isolate", "1", "checked"); %> onclick="bDirty = true;"> <label for="wl_ap_isolate">Access point isolation</label></p>
</div>   <!-- idBroadcastIsolation -->

<div id="idSiteSurvey">
<h2>Network</h2>

<div id="idNoAPs" class="clsNotice">
	The USRobotics Wireless <i>Ndx</i> Access Point was unable to detect
	any wireless devices.
	Please ensure that your wireless devices are connected
	properly and turned on and press the <b>Scan</b> button to try again.
</div>

<div id="idFoundAPs">
<p>Please select a wireless network (an access point or wireless router)
from the list of detected networks.
If the access point isn&rsquo;t broadcasting its network name, it won&rsquo;t be in the list;
in that case, enter its network name in the field below.</p>
</div>  <!-- idFoundAPs -->

<div id="idBroadcast">
	<div id="idSurvey">
		<!-- Filled by script -->
	</div>
	<p><input type="submit" name="action" value="Scan" class="clsSmall" onclick="sendScan();"></p>
</div>  <!-- idBroadcast -->

</div> <!-- idSiteSurvey -->


<h2>Security</h2>

<div id="idInsecure" style="display: none;">
	<p>The selected wireless network is insecure so you don&rsquo;t need to
	enter any security information.</p>
</div>
<div id="idSecure" style="display: none;">
	<p>The selected wireless network is secure so you need to enter its
	security information in order to connect to it.</p>
</div>
<div id="idManual" style="display: none;">
	<p>The device cannot detect whether this wireless network is secure, so you
	must enter any security information yourself in order to connect to it.</p>

	<p><input type="checkbox" name="chkSecure" id="chkSecure" checked onclick="bDirty = true; setVisibilityByCheckbox('chkSecure', 'idSecurity');"> <label for="chkSecure">I am connecting to a secure wireless network</label></p>
</div>
<div id="idSecurity">
<table border="0">
	<tr>
		<td><label for="cbSecurity">Method:</label></td>
		<td><select id="cbSecurity" name="cbSecurity" onchange="onSecurity(); bDirty = true;">
    			<option value="wpa12">WPA2 and WPA (PSK) (recommended)</option>
			<option value="wpa2">WPA2 (PSK)</option>
			<option value="wpa">WPA (PSK)</option>
			<option value="open">WEP open</option>
			<option value="shared">WEP shared</option>
			<option value="radius-wpa12">WPA2 and WPA with 802.1x (RADIUS)</option>
			<option value="radius-wpa2">WPA2 with 802.1x (RADIUS)</option>
       			<option value="radius-wpa">WPA with 802.1x (RADIUS)</option>
			<option value="none">None</option>
       		</select>
		</td>
	</tr>
	<!-- WEP -->
	<tr id="idWEPkeytype">
		<td><label>Key type:</label></td>
		<td>
			<select id="cbWEPkeytype" onchange="setLength(); bDirty = true;">
				<option value="type128ASCII">128-bit ASCII</option>
				<option value="type128hex">128-bit hex</option>
				<option value="type64ASCII">64-bit ASCII</option>
				<option value="type64hex">64-bit hex</option>
			</select>
		</td>
	</tr>
	
	<tr id="idKeyCurrent" style="display: none;">
		<td><label>Current key:</label></td>
		<td>
			<select id="wl_key" name="wl_key" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl0_key", "1", "selected"); %>>1</option>
				<option value="2" <% nvram_match("wl0_key", "2", "selected"); %>>2</option>
				<option value="3" <% nvram_match("wl0_key", "3", "selected"); %>>3</option>
				<option value="4" <% nvram_match("wl0_key", "4", "selected"); %>>4</option>
			</select>
		</td>
	</tr>

	<tr id="idKey1">
		<td><label for="wl_key1">Key 1:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl0_key1"); %>" onchange="if (!isPrintable('Key 1', document.idForm.wl_key1)) return false; validateKeyForType(document.idForm.wl_key1.value, 'cbWEPkeytype'); bDirty = true;"></td>
	</tr>
	<tr id="idKey2" style="display: none;">
		<td><label for="wl_key2">Key 2:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key2" class="clsTextfield" name="wl_key2" value="<% nvram_get("wl0_key2"); %>" onchange="if (!isPrintable('Key 2', document.idForm.wl_key2)) return false; validateKeyForType(document.idForm.wl_key2.value, 'cbWEPkeytype'); bDirty = true;"></td>
	</tr>
	<tr id="idKey3" style="display: none;">
		<td><label for="wl_key3">Key 3:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key3" class="clsTextfield" name="wl_key3" value="<% nvram_get("wl0_key3"); %>" onchange="if (!isPrintable('Key 3', document.idForm.wl_key3)) return false; validateKeyForType(document.idForm.wl_key3.value, 'cbWEPkeytype'); bDirty = true;"></td>
	</tr>
	<tr id="idKey4" style="display: none;">
		<td><label for="wl_key4">Key 4:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key4" class="clsTextfield" name="wl_key4" value="<% nvram_get("wl0_key4"); %>" onchange="if (!isPrintable('Key 4', document.idForm.wl_key4)) return false; validateKeyForType(document.idForm.wl_key4.value, 'cbWEPkeytype'); bDirty = true;"></td>
	</tr>
	<tr id="idKeytxt">
		<td></td>
		<td><span class="clsNote">(The keys must be <span id="idKeyNumChars"></span>&nbsp;characters long.)</span></td>
	</tr>

    <!-- WPA -->
    	<tr id="idEncryption">
    		<td class="clsLabel">Encryption:</td>
		<td>
    			<select id="cbEncryp" name="cbEncryp" onchange="bDirty = true;">
    			<option value="tkip+aes">TKIP and AES (recommended)</option>
			<option value="aes">AES</option>
			<option value="tkip">TKIP</option>
       			</select>
       		</td>
    	</tr>
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass phrase:</label></td>
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl0_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk)) return false; bDirty = true;"><br/>
			<span class="clsNote">(The pass phrase must be between eight and sixty-three characters long.)</span></td>
	</tr>
	<tr id="idKeyRotation">
		<td valign="top"><label for="wl_wpa_gtk_rekey">Key rotation:</label></td>
		<td><input type="text" size="5" maxlength="5" id="wl_wpa_gtk_rekey" class="clsTextfield" name="wl_wpa_gtk_rekey" value="<% nvram_get("wl0_wpa_gtk_rekey"); %>" onchange="validateKey(document.idForm.wl_wpa_gtk_rekey); bDirty = true;">
			<label>seconds</label><br/>
			<span class="clsNote">(To disable key rotation, set this value to zero.)</span></td>
	</tr>
	   <!-- 802.1x -->
    	<tr id="idRADIUSserver" style="display: none;">
    		<td><label for="wl_radius_ipaddr">RADIUS server:</label></td>
		<td><input type="text" size="40" maxlength="15" id="wl_radius_ipaddr" class="clsTextfield" name="wl_radius_ipaddr" value="<% nvram_get("wl0_radius_ipaddr"); %>" onchange="bDirty = true;"></td>
    	</tr>
    	<tr id="idRADIUSport" style="display: none;">
    		<td><label for="wl_radius_port">RADIUS port:</label></td>
    		<td><input type="text" size="40" maxlength="5" id="wl_radius_port" class="clsTextfield" name="wl_radius_port" value="<% nvram_get("wl0_radius_port"); %>" onchange="bDirty = true;"></td>
    	</tr>
    	<tr id="idRADIUSkey" style="display: none;">
    		<td><label for="wl_radius_key">RADIUS key:</label></td>
    		<td><input type="text" size="40" maxlength="255" id="wl_radius_key" class="clsTextfield" name="wl_radius_key" value="<% nvram_get("wl0_radius_key"); %>" onchange="if (!isPrintable('RADIUS key', document.idForm.wl_radius_key)) return false; bDirty = true;"></td>
    	</tr>
    	<tr id="idRADIUSReauth" style="display: none;">
		<td nowrap><label for="wl_net_reauth">Re-authentication:</label></td>
		<td><input type="text" size="10" maxlength="10" id="wl_net_reauth" class="clsTextfield" name="wl_net_reauth" value="<% nvram_get("wl0_net_reauth"); %>" onchange="bDirty = true;">
			<label>minutes</label></td>
    	</tr>
    	<tr id="idRADIUSPreauth" style="display: none;">
		<td colspan="2"><input type="checkbox" name="wl_preauth" id="wl_preauth" value="enabled" <% nvram_match("wl0_preauth", "1", "checked"); %> onclick="bDirty = true;"> <label for="wl_preauth">Pre-authentication</label></td>
    	</tr>
</table>
</div>

<!-- BRIDGE -->
<div id="idBridge">

<h2>WDS Restrictions</h2>

<p>If you plan to securely bridge multiple networks or extend your existing network, add the MAC addresses of the wireless routers and access points
that will connect to this one. Please note that any WDS device you will connect to must use one of the following security methods: 
WPA (PSK) with AES, WPA (PSK) with TKIP, WEP or None.
</p>

<p>You can find information about this advanced feature in the user manual on
the installation CD-ROM.</p>

<p><input type="checkbox" name="chkWDSrestrict" id="chkWDSrestrict" <% nvram_match("wl0_lazywds", "0", "checked"); %> onclick="setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked); bDirty = true;"> <label for="chkWDSrestrict">I want to specify the devices that can connect to this one</label></p>

<div id="idWDSrestrict">

<div id="idTableWDS">
	<!-- Content is added by script -->
</div>

<table class="clsGroupBox"><tr><td>
			<label for="txtMACaddress">MAC address:</label>
			<br/>
			<input type="text" size="20" maxlength="17" name="txtMACaddress" id="txtMACaddress" class="clsTextfield" onchange="validateMAC(document.idForm.txtMACaddress.value); bDirty = true;">
			<input type="button" name="idBtnAddWDS" id="idBtnAddWDS" value="  Add  " class="clsSmall" onclick="tableSelection();">
</td></tr></table>

<script type="text/javascript">
<!--
/* --------------------------------------------------------------------------
	
	WDS TABLE INFORMATION AND FUNCTIONS

*/

/*
	This class of object defines items specific to each table of values.
*/
var objTableWDS 	= new Object;
objTableWDS.strThis	= "objTableWDS";	// the text representation of this object's name
objTableWDS.aRows	= new Array;		// the array of the row arrays for the table


function tableInitializeWDS()
{
	/*
		Initialize the table object
	*/
	objTableWDS.eltTable		= document.getElementById("idTableWDS");	// id of table's DIV
	objTableWDS.eltBtnAdd		= document.getElementById("idBtnAddWDS");	// Add button
	objTableWDS.strVarNameNum	= "wl_wds";		// name of form field for # rows
	// names of each form field
	objTableWDS.aVarNamePrefixes	= new Array("wl_wds");
	objTableWDS.iMaxNumRows		= 16;				// max # of rows in table
	objTableWDS.fctFormatRow	= fctFormatRowText;		// function to format a row in HTML
	objTableWDS.aHeadings		= new Array(	// array of column headings for the table
							"MAC Address"
						);
	/*
		Load the values from the server, create the rows, and add them all.
	*/

	/*
		Get the data for each entry, add it to an array,
		and add the array to the table.
	*/
	var aRouterData = new Array(
					new Array("<% nvram_list("wl0_wds", 0); %>"),
					new Array("<% nvram_list("wl0_wds", 1); %>"),
					new Array("<% nvram_list("wl0_wds", 2); %>"),
					new Array("<% nvram_list("wl0_wds", 3); %>"),
					new Array("<% nvram_list("wl0_wds", 4); %>"),
					new Array("<% nvram_list("wl0_wds", 5); %>"),
					new Array("<% nvram_list("wl0_wds", 6); %>"),
					new Array("<% nvram_list("wl0_wds", 7); %>"),
					new Array("<% nvram_list("wl0_wds", 8); %>"),
					new Array("<% nvram_list("wl0_wds", 9); %>"),
					new Array("<% nvram_list("wl0_wds", 10); %>"),
					new Array("<% nvram_list("wl0_wds", 11); %>"),
					new Array("<% nvram_list("wl0_wds", 12); %>"),
					new Array("<% nvram_list("wl0_wds", 13); %>"),
					new Array("<% nvram_list("wl0_wds", 14); %>"),
					new Array("<% nvram_list("wl0_wds", 15); %>")
				);

	for (var row in aRouterData)
	{
		/* if the first column's value is empty, don't use it */
		if (aRouterData[row][0] == "")
			continue;

		objTableWDS.aRows.push(aRouterData[row]);
	}

	tableDisplay(objTableWDS);
}

/* Add the new data to the table - Access Point */
function tableAddRowWDS()
{
	/* Get the new entry's data from the HTML form and put it in a new array. */
	var aRowNew = new Array(document.idForm.txtMACaddress.value);

	if (!validateDataText(objTableWDS, aRowNew) || !validateMAC(aRowNew[0]))
	{
		document.idForm.txtMACaddress.focus();
		return;
	}

	// convert all separators to colons
	aRowNew[0] = normalizeMAC(aRowNew[0]);

	// if this MAC address is already in the table, don't add it but do clear the field
	if (!tableIsDuplicateRow(objTableWDS, aRowNew))
		tableAddRow(objTableWDS, aRowNew, 0);

	/*
		Clear fields
	*/
	document.idForm.txtMACaddress.value = "";
}

/* Add the new data to the table - Bridge */
function tableAddRowWDS_B(x)
{
	
	/* Get the new entry's data from the HTML form and put it in a new array. */
	var aRowNew = new Array(document.idForm.txtMACaddress.value);
			
	if (!validateDataText(objTableWDS, aRowNew) || !validateMAC(aRowNew[0]))
	{
		document.idForm.txtMACaddress.focus();
		return;
	}

	// convert all separators to colons
	aRowNew[0] = normalizeMAC(aRowNew[0]);

	// if this MAC address is already in the table, don't add it but do clear the field
	if (!tableIsDuplicateRow(objTableWDS, aRowNew))
	{
		if (x == 0)
			tableAddRow(objTableWDS, aRowNew, 0);
		else if (x == 1)
			tableAddRow(objTableWDS, aRowNew, 1);
	}
	/*
		Clear fields
	*/
	document.idForm.txtMACaddress.value = "";
}
//-->
</script>	
</div>  <!-- WDSRestrict -->

</div> <!-- Bridge-->

<div id="idWMM">
<h2>Wi-Fi Multimedia (WMM)</h2>

<p>You can find information about this advanced feature in the user manual on
the installation CD-ROM.</p>

<p><input type="checkbox" id="chkWME" name="chkWME" <% nvram_match("wl0_wme", "on", "checked"); %>
	onclick="if (!validateAfterburner()) return false; setVisibility('idWME', document.idForm.chkWME.checked); bDirty = true;"> <label for="chkWME">WMM</label></p>

<div id="idWME">

<p><input type="checkbox" id="wl_wme_no_ack" name="wl_wme_no_ack" value="on" <% nvram_match("wl0_wme_no_ack", "on", "checked"); %> onclick="bDirty = true;"> <label for="wl_wme_no_ack">No-acknowledgement</label></p>

<p><input type="checkbox" id="wl_wme_apsd" name="wl_wme_apsd" value="on" <% nvram_match("wl0_wme_apsd", "on", "checked"); %> onclick="bDirty = true;"> <label for="wl_wme_apsd">APSD (Automatic Power Save Delivery)</label></p>

</div> <!-- idWME -->

</div> <!-- idWMM -->

<h2>Transmission</h2>

<p>These are advanced settings and most people won&rsquo;t need to modify them.
You can find information about these advanced features in the user manual on
the installation CD-ROM.</p>

<table border="0">
	<tr>
		<td><input type="checkbox" id="chkMcst" name="chkMcst" <% nvram_match("wl_multicast", "on", "checked"); %>
		onclick="bDirty = true;"> <label for="chkMcst">Multicast rate:</label></td>
		<td>
			<select id="cbMRate" name="wl_mrate" onchange="bDirty = true;">
	  			<option value="0" <% nvram_match("wl0_mrate", "0", "selected"); %>>Automatic</option>
	  			<option value="1000000" <% nvram_match("wl0_mrate", "1000000", "selected"); %>>1 Mbps</option>
	  			<option value="2000000" <% nvram_match("wl0_mrate", "2000000", "selected"); %>>2 Mbps</option>
	  			<option value="5500000" <% nvram_match("wl0_mrate", "5500000", "selected"); %>>5.5 Mbps</option>
	  			<option value="6000000" <% nvram_match("wl0_mrate", "6000000", "selected"); %>>6 Mbps</option>
	  			<option value="9000000" <% nvram_match("wl0_mrate", "9000000", "selected"); %>>9 Mbps</option>
	  			<option value="11000000" <% nvram_match("wl0_mrate", "11000000", "selected"); %>>11 Mbps</option>      
	  			<option value="12000000" <% nvram_match("wl0_mrate", "12000000", "selected"); %>>12 Mbps</option>
	  			<option value="18000000" <% nvram_match("wl0_mrate", "18000000", "selected"); %>>18 Mbps</option>
	  			<option value="24000000" <% nvram_match("wl0_mrate", "24000000", "selected"); %>>24 Mbps</option>
	  			<option value="36000000" <% nvram_match("wl0_mrate", "36000000", "selected"); %>>36 Mbps</option>
	  			<option value="48000000" <% nvram_match("wl0_mrate", "48000000", "selected"); %>>48 Mbps</option>
	  			<option value="54000000" <% nvram_match("wl0_mrate", "54000000", "selected"); %>>54 Mbps</option>
			</select>
		</td>
	</tr>
	
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	
	<tr>
		<td><label>Power level:</label></td>
		<td>
			<select id="wl_power" name="wl_power" onchange="bDirty = true;">
				<option value="76">100%</option>
				<option value="64">50%</option>
				<option value="52">25%</option>
			</select>
		 </td>
	</tr>
	<tr id="idChannelAP"><td><label>Control channel:</label></td>
		<td><select name="wl_channel_ap" onchange="wl_recalc(); bDirty = true;">
				<option value="<% nvram_get("wl0_channel"); %>" selected</option>
			</select>
		 </td></tr>
	
	<tr><td><label>802.11n mode:</label></td>
		<td><select name="wl_nmode" onchange="if (!validateNmode()) return false; wl_recalc(); bDirty = true;">
				<option value="-1" <% nvram_match("wl0_nmode", "-1", "selected"); %>>Automatic</option>
				<option value="0" <% nvram_match("wl0_nmode", "0", "selected"); %>>Off</option>
		</select></td></tr>
	
	<tr id="idnbw" style="disabled: true;"><td><label>Bandwidth:</label></td>
		<td><select name="wl_nbw_cap" onchange="wl_recalc(); bDirty = true;">
				<option value="0" <% nvram_match("wl0_nbw_cap", "0", "selected"); %>>20 MHz</option>
				<option value="1" <% nvram_match("wl0_nbw_cap", "1", "selected"); %>>40 MHz</option>
		</select></td></tr>
	
	<tr id="idnctrlsb" style="disabled: true;"><td><label>Sideband for control channel:</label></td>
		<td><select name="wl_nctrlsb" onchange="wl_recalc(); bDirty = true;">
				<option value="lower" <% nvram_match("wl0_nctrlsb", "lower", "selected"); %>>Lower</option>
				<option value="upper" <% nvram_match("wl0_nctrlsb", "upper", "selected"); %>>Upper</option>
		</select></td></tr>
	
	<tr id="idnPhyRate" style="disabled: true;"><td><label>NPHY rate:</label></td>
		<td><select name="wl_nmcsidx" onchange="wl_mcs_onchange(); bDirty = true;">
		</select></td></tr>
	
	<tr id="idnProtection"><td colspan="2"><input type="checkbox" id="nmode_protection" name="nmode_protection" value="auto" <% nvram_match("wl0_nmode_protection", "auto", "checked"); %> onclick="bDirty = true;"> <label for="nmode_protection">Automatic 802.11n protection</label></td>
	</tr>
	
	<tr id="idGmode" style="display: none";><td><label>54g mode:</label></td>
		<td><select id="cbMode" name="wl_gmode" onchange="manageSupportedRates();" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_gmode", "1", "selected"); %>>Automatic</option>
				<option value="4" <% nvram_match("wl_gmode", "4", "selected"); %>>802.11g Performance</option>
				<option value="0" <% nvram_match("wl_gmode", "0", "selected"); %>>802.11b Only</option>
		</select>
		</td>
	</tr>
	
	<tr id="idRate" style="display: none";><td><label>Legacy rate:</label></td>
		<td>
			<select id="cbSupportedRate" name="wl_rate" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl0_rate", "0", "selected"); %>>Automatic</option>
				<option value="1000000" <% nvram_match("wl0_rate", "1000000", "selected"); %>>1 Mbps</option>
				<option value="2000000" <% nvram_match("wl0_rate", "2000000", "selected"); %>>2 Mbps</option>
				<option value="5500000" <% nvram_match("wl0_rate", "5500000", "selected"); %>>5.5 Mbps</option>
				<option value="6000000" <% nvram_match("wl0_rate", "6000000", "selected"); %>>6 Mbps</option>
				<option value="9000000" <% nvram_match("wl0_rate", "9000000", "selected"); %>>9 Mbps</option>
				<option value="11000000" <% nvram_match("wl0_rate", "11000000", "selected"); %>>11 Mbps</option>      
				<option value="12000000" <% nvram_match("wl0_rate", "12000000", "selected"); %>>12 Mbps</option>
				<option value="18000000" <% nvram_match("wl0_rate", "18000000", "selected"); %>>18 Mbps</option>
				<option value="24000000" <% nvram_match("wl0_rate", "24000000", "selected"); %>>24 Mbps</option>
				<option value="36000000" <% nvram_match("wl0_rate", "36000000", "selected"); %>>36 Mbps</option>
				<option value="48000000" <% nvram_match("wl0_rate", "48000000", "selected"); %>>48 Mbps</option>
				<option value="54000000" <% nvram_match("wl0_rate", "54000000", "selected"); %>>54 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Basic rate set:</label></td>
		<td>
			<select name="wl_rateset" onchange="bDirty = true;"> 
				<option value="default" <% nvram_match("wl0_rateset", "default", "selected"); %>>Default</option>
				<option value="all" <% nvram_match("wl0_rateset", "all", "selected"); %>>All</option>
				<option value="12" <% nvram_match("wl0_rateset", "12", "selected"); %>>1 & 2 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Acceleration:</label></td>
		<td>
			<select name="cbAcceleration" onchange="if (!validateAcceleration()) return false;changeAcceleration();bDirty = true;">
				<option value="none" <% nvram_match("cbAcceleration", "none", "selected"); %>>None</option>
				<option value="frameburst" <% nvram_match("wl0_frameburst", "on", "selected"); %>>54g+ (XPress&trade;)</option>
				<option value="afterburner" <% nvram_match("wl_afterburner", "auto", "selected"); %>>MAXg (125 Mbps)</option>
			</select>
		</td>
	</tr>
	<tr id="idnVLANPrio"><td colspan="2"><input type="checkbox" id="wl_vlan_prio_mode" name="wl_vlan_prio_mode" value="on" <% nvram_match("wl0_vlan_prio_mode", "on", "checked"); %> onclick="bDirty = true;"> <label for="wl_vlan_prio_mode">Enable VLAN priority mode</label></td>
	</tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	
	<tr>
		<td><label for="wl_bcn">Beacon interval:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_bcn" class="clsTextfield" name="wl_bcn" value="<% nvram_get("wl0_bcn"); %>" onchange="bDirty = true;"> <label>ms</label> <span class="clsNote">(recommended to be between 1 and 1000 ms)</span></td>
	</tr>
	<tr>
		<td><label for="wl_rts">RTS threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_rts" class="clsTextfield" name="wl_rts" value="<% nvram_get("wl0_rts"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2347)</span></td>
	</tr>
	<tr>
		<td><label for="wl_frag" id="lblFrag">Fragmentation threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_frag" class="clsTextfield" name="wl_frag" value="<% nvram_get("wl0_frag"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2346, even numbers only)</span></td>
	</tr>
	<tr>
		<td><label for="wl_dtim">DTIM interval:</label></td>
		<td><input type="text" size="10" maxlength="3" id="wl_dtim" class="clsTextfield" name="wl_dtim" value="<% nvram_get("wl0_dtim"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 1 and 255)</span></td>
	</tr>
	<tr>
		<td><label>Preamble:</label></td>
		<td>
			<select id="wl_plcphdr" name="wl_plcphdr">
				<option value="long" <% nvram_match("wl0_plcphdr", "long", "selected"); %> onchange="bDirty = true;">Long</option>
				<option value="short" <% nvram_match("wl0_plcphdr", "short", "selected"); %> onchange="bDirty = true;">Short</option>
			</select>
			
		 </td>
	</tr>
</table>


<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid_ap)) return false; 
if (!validateKey(document.idForm.wl_wpa_gtk_rekey)) return false; new_reauth(); checksettings(); if (!validatePage()) return false; bDirty = false;"></p>
</form>

<script type="text/javascript">
	writeFooter();
</script>

</body>
</html>
